hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Zhe Zhang <zhe.zhang.resea...@gmail.com>
Subject Re: [DISCUSS] 2.6.x line releases
Date Fri, 22 Jul 2016 23:01:15 GMT
Thanks for pointing it out Allen. I'll work on an addendum 2.6 patch for
HADOOP-12800.

On Fri, Jul 22, 2016 at 3:59 PM Allen Wittenauer <aw@effectivemachines.com>
wrote:

>
> > On Jul 22, 2016, at 9:07 AM, Zhe Zhang <zhe.zhang.research@gmail.com>
> wrote:
> >
> > Thanks Allen for the note. I thought the 2.6 Dockerfile issue was
> addressed in https://issues.apache.org/jira/browse/HADOOP-12800?
>
> 2.6 builds on JDK6 and JDK7.  2.x, where x>6, builds on JDK7 and JDK8.
> [1] This should have been a big red flag in that patch:
>
> ---
> +RUN apt-get install -y oracle-java8-installer
> ---
>
> (It's interesting that ~2 years later, we're still dealing with the
> fallout of the JRE compatibility break in 2.7.  I wonder how many of those
> PMCs who voted for it are still actively involved.)
>
> [1] For completeness, 3.x only builds on JDK8 but probably not JDK9, given
> log4j 1.x, etc, etc.

-- 
Zhe Zhang
Apache Hadoop Committer
http://zhe-thoughts.github.io/about/ | @oldcap

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message